[CalendarServer-changes] [12465] twext/trunk/bin

source_changes at macosforge.org source_changes at macosforge.org
Wed Mar 12 11:20:47 PDT 2014


Revision: 12465
          http://trac.calendarserver.org//changeset/12465
Author:   wsanchez at apple.com
Date:     2014-01-28 11:15:13 -0800 (Tue, 28 Jan 2014)
Log Message:
-----------
update tools

Modified Paths:
--------------
    twext/trunk/bin/python
    twext/trunk/bin/test
    twext/trunk/bin/trial
    twext/trunk/bin/twistd

Modified: twext/trunk/bin/python
===================================================================
--- twext/trunk/bin/python	2014-01-28 18:52:31 UTC (rev 12464)
+++ twext/trunk/bin/python	2014-01-28 19:15:13 UTC (rev 12465)
@@ -26,7 +26,7 @@
 . "${wd}/bin/_build.sh";
 
 init_build > /dev/null;
-c_dependencies >> "${dev_root}/setup.log";
-py_dependencies >> "${dev_root}/setup.log";
+c_dependencies >> "${dev_home}/setup.log";
+py_dependencies >> "${dev_home}/setup.log";
 
 exec "${python}" "$@";

Modified: twext/trunk/bin/test
===================================================================
--- twext/trunk/bin/test	2014-01-28 18:52:31 UTC (rev 12464)
+++ twext/trunk/bin/test	2014-01-28 19:15:13 UTC (rev 12465)
@@ -80,13 +80,13 @@
 done;
 shift $((${OPTIND} - 1));
 
-if [ $# -gt 0 ]; then
-  test_modules="$@";
+if [ $# -eq 0 ]; then
+  lint="true";
+  set - calendarserver contrib twisted twistedcaldav txdav txweb2;
 else
-  test_modules="twext";
+  lint="false";
 fi;
 
-
 ##
 # Clean up
 ##
@@ -107,10 +107,13 @@
   ${no_color}                      \
   ${coverage}                      \
   ${numjobs}                       \
-  ${test_modules}                  \
-  ;
+  "$@";
 
 
+if ! "${lint}"; then
+  exit 0;
+fi;
+
 ##
 # Linting
 ##
@@ -118,9 +121,9 @@
 echo "";
 echo "Running pyflakes...";
 
-pip install pyflakes --target="${dev_libdir}" > "${dev_root}/pip_pyflakes.log";
+"${python}" -m pip install pyflakes --upgrade >> "${dev_home}/setup.log";
 tmp="$(mktemp -t "twext_flakes.XXXXX")";
-cd "${wd}" && "${python}" -m pyflakes ${test_modules} | tee "${tmp}" 2>&1;
+cd "${wd}" && "${python}" -m pyflakes "$@" | tee "${tmp}" 2>&1;
 if [ -s "${tmp}" ]; then
   echo "**** Pyflakes says you have some code to clean up. ****";
   exit 1;

Modified: twext/trunk/bin/trial
===================================================================
--- twext/trunk/bin/trial	2014-01-28 18:52:31 UTC (rev 12464)
+++ twext/trunk/bin/trial	2014-01-28 19:15:13 UTC (rev 12465)
@@ -29,4 +29,4 @@
 c_dependencies >> "${dev_home}/setup.log";
 py_dependencies >> "${dev_home}/setup.log";
 
-exec "${dev_bindir}/trial" "$@";
+exec "${py_bindir}/trial" "$@";

Modified: twext/trunk/bin/twistd
===================================================================
--- twext/trunk/bin/twistd	2014-01-28 18:52:31 UTC (rev 12464)
+++ twext/trunk/bin/twistd	2014-01-28 19:15:13 UTC (rev 12465)
@@ -29,4 +29,4 @@
 c_dependencies >> "${dev_home}/setup.log";
 py_dependencies >> "${dev_home}/setup.log";
 
-exec "${dev_bindir}/twistd" "$@";
+exec "${py_bindir}/twistd" "$@";
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.macosforge.org/pipermail/calendarserver-changes/attachments/20140312/d5c9d85f/attachment.html>


More information about the calendarserver-changes mailing list